*********************************************************************
** PUBLIC.SAS reads the Hungary Public Use data file.              **
**                                                                 **
** 04/03/98: Ken Kline and Kris Kracker                            **
*********************************************************************;
libname survey "dkb200:[demodata]";


data public;
  infile "dkb200:[demodata]hungary.dat";
  input @1 rectype $1. @;
  if rectype='A' then do;
    input   @1 rectype $1.
          @2 office $4.
          @6 serialno $4.
         @10 alp 1.
         @11 laborid $11.
         @22 regdate yymmdd6.
         @28 regdate1 yymmdd6.
         @34 educ 1.
         @35 educqual 5.
         @40 earlyemp 1.
         @41 avgearn 6.
         @47 special 1.
         @48 empcat1 1.
         @49 occlast 4.
         @53 empcat2 1.
         @54 occwant 4.
         @58 reg0320 1.
         @59 passive 1.
         @60 months 2.
         @62 breaks 2.
         @64 daysuc 4.
         @68 strtlast yymmdd6.
         @74 referral 2.
         @76 traintyp 1.
         @77 duration 1.
         @78 organ 1.
         @79 contrib 1.
         @80 locallo 1.
         @81 trainbeg 4.
         @85 trainend 4.
         @89 service1 $5.
         @94 service2 $5.
         @99 looked 1.
        @100 search $5.
        @105 startjob 1.
        @106 startdte 4.
        @110 owner 1.
        @111 jobfind 1.
        @112 occ $4.
        @116 value 1.
        @117 earn1 6.
        @123 lmstate $16.
        @139 uibene $16.
        @155 earn2 6.
        @161 whynot 1.
        @162 hh 2.
        @164 spouse1 1.
        @165 spouse2 1.
        @166 hhother 1.
        @167 pension 1.
        @168 kids06 1.
        @169 kids6 1.
        @170 hhearn 6.
        @176 intdate yymmdd6.
        @182 inter 2.
        @184 employ1 1.
        @185 employs1 1.
        @186 employ2 1.
        @187 employs2 1.
        @188 earn1 6.
        @194 earn2 6.
        @200 emmonths 2.
        @202 emsmonth 2.
        @204 unmonths 2.
        @206 ucmonths 2.
        @208 ucpay1 6.
        @214 ucpay2 6.
        @220 durreg 2.
        @222 duralp 2.
        @224 startalp yymmdd6.
        @230 startreg yymmdd6.
        @236 jobstart yymmdd6.
        @242 es 1.
        @243 trainind 1.
        @244 traingrp 1.
        @245 servaft1 1.
        @246 servaft2 1.
        @247 servaft3 1.
        @248 servaft4 1.
        @249 servaft5 1.
        @250 servaft6 1.
        @251 servaft7 1.
        @252 servaft8 1.
        @253 age 2.
        @255 agelt30 1.
        @256 age3044 1.
        @257 agege45 1.
        @258 male 1.
        @259 female 1.
        @260 educ1 1.
        @261 educ2 1.
        @262 educ3 1.
        @263 educ4 1.
        @264 early1 1.
        @265 early2 1.
        @266 early3 1.
        @267 early4 1.
        @268 blcoll1 1.
        @269 whcoll1 1.
        @270 blcoll2 1.
        @271 whcoll2 1.
        @272 legis1 1.
        @273 prof1 1.
        @274 tech1 1.
        @275 clerk1 1.
        @276 serv1 1.
        @277 skillag1 1.
        @278 craft1 1.
        @279 mach1 1.
        @280 elem1 1.
        @281 armed1 1.
        @282 legis2 1.
        @283 prof2 1.
        @284 tech2 1.
        @285 clerk2 1.
        @286 serv2 1.
        @287 skillag2 1.
        @288 craft2 1.
        @289 mach2 1.
        @290 elem2 1.
        @291 armed2 1.
        @292 spouse1b 1.
        @293 spouse2b 1.
        @294 county1 1.
        @295 county2 1.
        @296 county4 1.
        @297 county5 1.
        @298 county6 1.
        @299 county7 1.
        @300 county9 1.
        @301 county13 1.
        @302 county15 1.
        @303 county18 1.
        @304 ltu 1.
        @305 nonltu 1.
        @306 urater96 4.1
        @310 urater97 4.1
        @314 urlow 1.
        @315 urmedium 1.
        @316 urhigh 1.
        @317 alplngth 2.
        @319 duration 1.
        @320 train1 1.
        @321 train2 1.
        @322 train3 1.
        @323 train4 1.
        @324 train5 1.
        @325 train6 1.
        @326 durtrn1 1.
        @327 durtrn2 1.
        @328 durtrn3 1.
        @329 durtrn4 1.
        @330 durtrn5 1.
        @331 organ1 1.
        @332 organ2 1.
        @333 organ3 1.
        @334 organ4 1.
        @335 contrib1 1.
        @336 contrib2 1.
        @337 uc9601 5.
        @342 uc9602 5.
        @347 uc9603 5.
        @352 uc9604 5.
        @357 uc9605 5.
        @362 uc9606 5.
        @367 uc9607 5.
        @372 uc9608 5.
        @377 uc9609 5.
        @382 uc9610 5.
        @387 uc9611 5.
        @392 uc9612 5.
        @397 uc9701 5.
        @402 uc9702 5.
        @407 uc9703 5.
        @412 uc9704 5.
        @417 grdben95 6.2
        @423 grdben96 6.2
        @429 grdben97 6.2
        @435 ntdben95 6.2
        @441 ntdben96 6.2
        @447 ntdben97 6.2
        @453 reg1 1.     
        @454 reg2 1.     
        @455 reg3 1.     
        @456 reg4 1.     
        @457 reg5 1.     
        @458 reg6 1.     
        @459 reg7 1.     
        @460 reg8 1.     
        @461 reg9 1.     
        @462 reg10 1.     
        @463 reg11 1.     
        @464 reg12 1.     
        @465 reg13 1.     
        @466 reg14 1.     
        @467 reg15 1.     
        @468 reg16 1.     
        @469 reg17 1.     
        @470 reg18 1.     
        @471 reg19 1.     
        @472 reg20 1.     
        @473 reg21 1.     
        @474 reg22 1.     
        @475 reg23 1.     
        @476 reg24 1.     
        @477 reg25 1.     
        @478 reg26 1.     
        @479 reg27 1.     
        @480 reg28 1.     
        @481 reg29 1.     
        @482 reg30 1.     
        @483 reg31 1.     
        @484 reg32 1.     
        @485 reg33 1.     
        @486 reg34 1.     
        @487 reg35 1.     
        @488 reg36 1.     
        @489 reg37 1.     
        @490 reg38 1.     
        @491 reg39 1.     
        @492 reg40 1.     
        @493 reg41 1.     
        @494 reg42 1.     
        @495 reg43 1.     
        @496 reg44 1.     
        @497 reg45 1.;
  end;
  else if rectype='B' then do;
    input   @1 rectype $1.
          @2 office $4.
          @6 serialno $4.
         @10 alp 1.
         @11 laborid $11.
         @22 regdate yymmdd6.
         @28 regdate1 yymmdd6.
         @34 educ 1.
         @35 educqual 5.
         @40 earlyemp 1.
         @41 avgearn 6.
         @47 special 1.
         @48 empcat1 1.
         @49 occlast 4.
         @53 empcat2 1.
         @54 occwant 4.
         @58 reg0320 1.
         @59 passive 1.
         @60 months 2.
         @62 breaks 2.
         @64 daysuc 4.
         @68 strtlast yymmdd6.
         @74 referral 2.
         @76 skill 1.
         @77 industry $3.
         @80 start1 4.
         @84 end1 4.
         @88 start2 4.
         @92 end2 4.
         @96 service1 $5.
        @101 service2 $5.
        @106 looked 1.
        @107 jobfind1 $5.
        @112 psehelp 1.
        @113 startjob 1.
        @114 startdte 4.
        @118 owner 1.
        @119 jobfind2 1.
        @120 occ $4.
        @124 earn1 6.
        @130 lmstate $16.
        @146 uibene $16.
        @162 earn2 6.
        @168 whynot 1.
        @169 hh 2.
        @171 spouse1 1.
        @172 spouse2 1.
        @173 hhother 1.
        @174 pension 1.
        @175 kids06 1.
        @176 kids6 1.
        @177 hhearn 6.
        @183 intdate yymmdd6.
        @189 inter 2.
        @191 employ1 1.
        @192 employs1 1.
        @193 employ2 1.
        @194 employs2 1.
        @195 earn1 6.
        @201 earn2 6.
        @207 emmonths 2.
        @209 emsmonth 2.
        @211 unmonths 2.
        @213 ucmonths 2.
        @215 ucpay1 6.
        @221 ucpay2 6.
        @227 durreg 2.
        @229 duralp 2.
        @231 startalp yymmdd6.
        @237 startreg yymmdd6.
        @243 jobstart yymmdd6.
        @249 es 1.
        @250 servaft1 1.
        @251 servaft2 1.
        @252 servaft3 1.
        @253 servaft4 1.
        @254 servaft5 1.
        @255 servaft6 1.
        @256 servaft7 1.
        @257 servaft8 1.
        @258 age 2.
        @260 agelt30 1.
        @261 age3044 1.
        @262 agege45 1.
        @263 male 1.
        @264 female 1.
        @265 educ1 1.
        @266 educ2 1.
        @267 educ3 1.
        @268 educ4 1.
        @269 early1 1.
        @270 early2 1.
        @271 early3 1.
        @272 early4 1.
        @273 blcoll1 1.
        @274 whcoll1 1.
        @275 blcoll2 1.
        @276 whcoll2 1.
        @277 legis1 1.
        @278 prof1 1.
        @279 tech1 1.
        @280 clerk1 1.
        @281 serv1 1.
        @282 skillag1 1.
        @283 craft1 1.
        @284 mach1 1.
        @285 elem1 1.
        @286 armed1 1.
        @287 legis2 1.
        @288 prof2 1.
        @289 tech2 1.
        @290 clerk2 1.
        @291 serv2 1.
        @292 skillag2 1.
        @293 craft2 1.
        @294 mach2 1.
        @295 elem2 1.
        @296 armed2 1.
        @297 spouse1b 1.
        @298 spouse2b 1.
        @299 county1 1.
        @300 county2 1.
        @301 county4 1.
        @302 county5 1.
        @303 county6 1.
        @304 county7 1.
        @305 county9 1.
        @306 county13 1.
        @307 county15 1.
        @308 county18 1.
        @309 ltu 1.
        @310 nonltu 1.
        @311 urater96 4.1
        @315 urater97 4.1
        @319 urlow 1.
        @320 urmedium 1.
        @321 urhigh 1.
        @322 alplngth 2.
        @324 agfish 1.
        @325 mining 1.
        @326 manu 1.
        @327 power 1.
        @328 const 1.
        @329 services 1.
        @330 nonman 1.
        @331 unskill 1.
        @332 semi 1.
        @333 skilled 1.
        @334 uc9601 5.
        @339 uc9602 5.
        @344 uc9603 5.
        @349 uc9604 5.
        @354 uc9605 5.
        @359 uc9606 5.
        @364 uc9607 5.
        @369 uc9608 5.
        @374 uc9609 5.
        @379 uc9610 5.
        @384 uc9611 5.
        @389 uc9612 5.
        @394 uc9701 5.
        @399 uc9702 5.
        @404 uc9703 5.
        @409 uc9704 5.
        @414 grdben95 6.2
        @420 grdben96 6.2
        @426 grdben97 6.2
        @432 ntdben95 6.2
        @438 ntdben96 6.2
        @444 ntdben97 6.2
        @450 reg1 1.     
        @451 reg2 1.     
        @452 reg3 1.     
        @453 reg4 1.     
        @454 reg5 1.     
        @455 reg6 1.     
        @456 reg7 1.     
        @457 reg8 1.     
        @458 reg9 1.     
        @459 reg10 1.     
        @460 reg11 1.     
        @461 reg12 1.     
        @462 reg13 1.     
        @463 reg14 1.     
        @464 reg15 1.     
        @465 reg16 1.     
        @466 reg17 1.     
        @467 reg18 1.     
        @468 reg19 1.     
        @469 reg20 1.     
        @470 reg21 1.     
        @471 reg22 1.     
        @472 reg23 1.     
        @473 reg24 1.     
        @474 reg25 1.     
        @475 reg26 1.     
        @476 reg27 1.     
        @477 reg28 1.     
        @478 reg29 1.     
        @479 reg30 1.     
        @480 reg31 1.     
        @481 reg32 1.     
        @482 reg33 1.     
        @483 reg34 1.     
        @484 reg35 1.     
        @485 reg36 1.     
        @486 reg37 1.     
        @487 reg38 1.     
        @488 reg39 1.     
        @489 reg40 1.     
        @490 reg41 1.     
        @491 reg42 1.     
        @492 reg43 1.     
        @493 reg44 1.     
        @494 reg45 1.;
  end;
  else if rectype='C' then do;
    input   @1 rectype $1.
          @2 office $4.
          @6 serialno $4.
         @10 alp 1.
         @11 laborid $11.
         @22 regdate yymmdd6.
         @28 regdate1 yymmdd6.
         @34 educ 1.
         @35 educqual 5.
         @40 earlyemp 1.
         @41 avgearn 6.
         @47 special 1.
         @48 empcat1 1.
         @49 occlast 4.
         @53 empcat2 1.
         @54 occwant 4.
         @58 reg0320 1.
         @59 passive 1.
         @60 months 2.
         @62 breaks 2.
         @64 daysuc 4.
         @68 strtlast yymmdd6.
         @74 referral 2.
         @76 skill 1.
         @77 industry $3.
         @80 empstart 4.
         @84 empend 4.
         @88 service1 $5.
         @93 service2 $5.
         @98 lmstate $16.
        @114 uibene $16.
        @130 perm 1.
        @131 sameemp 1.
        @132 looked 1.
        @133 jobfind1 $5.
        @138 startjob 1.
        @139 startdte 4.
        @143 owner 1.
        @144 jobfind2 1.
        @145 occ $4.
        @149 earn1 6.
        @155 earn2 6.
        @161 whynot 1.
        @162 hh 2.
        @164 spouse1 1.
        @165 spouse2 1.
        @166 hhother 1.
        @167 pension 1.
        @168 kids06 1.
        @169 kids6 1.
        @170 hhearn 6.
        @176 intdate yymmdd6.
        @182 inter 2.
        @184 employ1 1.
        @185 employs1 1.
        @186 employ2 1.
        @187 employs2 1.
        @188 earn1 6.
        @194 earn2 6.
        @200 emmonths 2.
        @202 emsmonth 2.
        @204 unmonths 2.
        @206 ucmonths 2.
        @208 ucpay1 6.
        @214 ucpay2 6.
        @220 durreg 2.
        @222 duralp 2.
        @224 startalp yymmdd6.
        @230 startreg yymmdd6.
        @236 jobstart yymmdd6.
        @242 es 1.
        @243 servaft1 1.
        @244 servaft2 1.
        @245 servaft3 1.
        @246 servaft4 1.
        @247 servaft5 1.
        @248 servaft6 1.
        @249 servaft7 1.
        @250 servaft8 1.
        @251 age 2.
        @253 agelt30 1.
        @254 age3044 1.
        @255 agege45 1.
        @256 male 1.
        @257 female 1.
        @258 educ1 1.
        @259 educ2 1.
        @260 educ3 1.
        @261 educ4 1.
        @262 early1 1.
        @263 early2 1.
        @264 early3 1.
        @265 early4 1.
        @266 blcoll1 1.
        @267 whcoll1 1.
        @268 blcoll2 1.
        @269 whcoll2 1.
        @270 legis1 1.
        @271 prof1 1.
        @272 tech1 1.
        @273 clerk1 1.
        @274 serv1 1.
        @275 skillag1 1.
        @276 craft1 1.
        @277 mach1 1.
        @278 elem1 1.
        @279 armed1 1.
        @280 legis2 1.
        @281 prof2 1.
        @282 tech2 1.
        @283 clerk2 1.
        @284 serv2 1.
        @285 skillag2 1.
        @286 craft2 1.
        @287 mach2 1.
        @288 elem2 1.
        @289 armed2 1.
        @290 spouse1b 1.
        @291 spouse2b 1.
        @292 county1 1.
        @293 county2 1.
        @294 county4 1.
        @295 county5 1.
        @296 county6 1.
        @297 county7 1.
        @298 county9 1.
        @299 county13 1.
        @300 county15 1.
        @301 county18 1.
        @302 ltu 1.
        @303 nonltu 1.
        @304 urater96 4.1
        @308 urater97 4.1
        @312 urlow 1.
        @313 urmedium 1.
        @314 urhigh 1.
        @315 alplngth 2.
        @317 agfish 1.
        @318 mining 1.
        @319 manu 1.
        @320 power 1.
        @321 const 1.
        @322 services 1.
        @323 nonman 1.
        @324 unskill 1.
        @325 semi 1.
        @326 skilled 1.
        @327 uc9601 5.
        @332 uc9602 5.
        @337 uc9603 5.
        @342 uc9604 5.
        @347 uc9605 5.
        @352 uc9606 5.
        @357 uc9607 5.
        @362 uc9608 5.
        @367 uc9609 5.
        @372 uc9610 5.
        @377 uc9611 5.
        @382 uc9612 5.
        @387 uc9701 5.
        @392 uc9702 5.
        @397 uc9703 5.
        @402 uc9704 5.
        @407 grdben95 6.2
        @413 grdben96 6.2
        @419 grdben97 6.2
        @425 ntdben95 6.2
        @431 ntdben96 6.2
        @437 ntdben97 6.2
        @443 reg1 1.     
        @444 reg2 1.     
        @445 reg3 1.     
        @446 reg4 1.     
        @447 reg5 1.     
        @448 reg6 1.     
        @449 reg7 1.     
        @450 reg8 1.     
        @451 reg9 1.     
        @452 reg10 1.     
        @453 reg11 1.     
        @454 reg12 1.     
        @455 reg13 1.     
        @456 reg14 1.     
        @457 reg15 1.     
        @458 reg16 1.     
        @459 reg17 1.     
        @460 reg18 1.     
        @461 reg19 1.     
        @462 reg20 1.     
        @463 reg21 1.     
        @464 reg22 1.     
        @465 reg23 1.     
        @466 reg24 1.     
        @467 reg25 1.     
        @468 reg26 1.     
        @469 reg27 1.     
        @470 reg28 1.     
        @471 reg29 1.     
        @472 reg30 1.     
        @473 reg31 1.     
        @474 reg32 1.     
        @475 reg33 1.     
        @476 reg34 1.     
        @477 reg35 1.     
        @478 reg36 1.     
        @479 reg37 1.     
        @480 reg38 1.     
        @481 reg39 1.     
        @482 reg40 1.     
        @483 reg41 1.     
        @484 reg42 1.     
        @485 reg43 1.     
        @486 reg44 1.     
        @487 reg45 1.;
  end;
  else if rectype='D' then do;
    input   @1 rectype $1.
          @2 office $4.
          @6 serialno $4.
         @10 alp 1.
         @11 laborid $11.
         @22 regdate yymmdd6.
         @28 regdate1 yymmdd6.
         @34 educ 1.
         @35 educqual 5.
         @40 earlyemp 1.
         @41 avgearn 6.
         @47 special 1.
         @48 empcat1 1.
         @49 occlast 4.
         @53 empcat2 1.
         @54 occwant 4.
         @58 reg0320 1.
         @59 passive 1.
         @60 months 2.
         @62 breaks 2.
         @64 daysuc 4.
         @68 strtlast yymmdd6.
         @74 referral 2.
         @76 enttype 1.
         @77 industry $3.
         @80 startsub 4.
         @84 endsub 4.
         @88 continue 1.
         @89 selfemp 1.
         @90 emp 2.
         @92 unempemp 1.
         @93 prospect 1.
         @94 lack 1.
         @95 earn1 6.
        @101 lmstate $16.
        @117 uibene $16.
        @133 earn2 6.
        @139 looked 1.
        @140 jobfind1 $5.
        @145 service $5.
        @150 startjob 1.
        @151 startdte 4.
        @155 owner 1.
        @156 jobfind2 1.
        @157 occ 4.
        @161 whynot 1.
        @162 hh 2.
        @164 spouse1 1.
        @165 spouse2 1.
        @166 hhother 1.
        @167 pension 1.
        @168 kids06 1.
        @169 kids6 1.
        @170 hhearn 6.
        @176 intdate yymmdd6.
        @182 inter 2.
        @184 employ1 1.
        @185 employs1 1.
        @186 employ2 1.
        @187 employs2 1.
        @188 earn1 6.
        @194 earn2 6.
        @200 emmonths 2.
        @202 emsmonth 2.
        @204 unmonths 2.
        @206 ucmonths 2.
        @208 ucpay1 6.
        @214 ucpay2 6.
        @220 dur1 2.
        @222 dur2 2.
        @224 dur3 2.
        @226 dur4 2.
        @228 es 1.
        @229 servaft1 1.
        @230 servaft2 1.
        @231 servaft3 1.
        @232 servaft4 1.
        @233 servaft5 1.
        @234 servaft6 1.
        @235 servaft7 1.
        @236 servaft8 1.
        @237 age 2.
        @239 agelt30 1.
        @240 age3044 1.
        @241 agege45 1.
        @242 male 1.
        @243 female 1.
        @244 educ1 1.
        @245 educ2 1.
        @246 educ3 1.
        @247 educ4 1.
        @248 early1 1.
        @249 early2 1.
        @250 early3 1.
        @251 early4 1.
        @252 blcoll1 1.
        @253 whcoll1 1.
        @254 blcoll2 1.
        @255 whcoll2 1.
        @256 legis1 1.
        @257 prof1 1.
        @258 tech1 1.
        @259 clerk1 1.
        @260 serv1 1.
        @261 skillag1 1.
        @262 craft1 1.
        @263 mach1 1.
        @264 elem1 1.
        @265 armed1 1.
        @266 legis2 1.
        @267 prof2 1.
        @268 tech2 1.
        @269 clerk2 1.
        @270 serv2 1.
        @271 skillag2 1.
        @272 craft2 1.
        @273 mach2 1.
        @274 elem2 1.
        @275 armed2 1.
        @276 spouse1b 1.
        @277 spouse2b 1.
        @278 county1 1.
        @279 county2 1.
        @280 county4 1.
        @281 county5 1.
        @282 county6 1.
        @283 county7 1.
        @284 county9 1.
        @285 county13 1.
        @286 county15 1.
        @287 county18 1.
        @288 ltu 1.
        @289 nonltu 1.
        @290 urater96 4.1
        @294 urater97 4.1
        @298 urlow 1.
        @299 urmedium 1.
        @300 urhigh 1.
        @301 alplngth 2.
        @303 agfish 1.
        @304 mining 1.
        @305 manu 1.
        @306 power 1.
        @307 const 1.
        @308 services 1.
        @309 individ 1.
        @310 othent 1.
        @311 uc9601 5.
        @316 uc9602 5.
        @321 uc9603 5.
        @326 uc9604 5.
        @331 uc9605 5.
        @336 uc9606 5.
        @341 uc9607 5.
        @346 uc9608 5.
        @351 uc9609 5.
        @356 uc9610 5.
        @361 uc9611 5.
        @366 uc9612 5.
        @371 uc9701 5.
        @376 uc9702 5.
        @381 uc9703 5.
        @386 uc9704 5.
        @391 grdben95 6.2
        @397 grdben96 6.2
        @403 grdben97 6.2
        @409 ntdben95 6.2
        @415 ntdben96 6.2
        @421 ntdben97 6.2
        @427 reg1 1.     
        @428 reg2 1.     
        @429 reg3 1.     
        @430 reg4 1.     
        @431 reg5 1.     
        @432 reg6 1.     
        @433 reg7 1.     
        @434 reg8 1.     
        @435 reg9 1.     
        @436 reg10 1.     
        @437 reg11 1.     
        @438 reg12 1.     
        @439 reg13 1.     
        @440 reg14 1.     
        @441 reg15 1.     
        @442 reg16 1.     
        @443 reg17 1.     
        @444 reg18 1.     
        @445 reg19 1.     
        @446 reg20 1.     
        @447 reg21 1.     
        @448 reg22 1.     
        @449 reg23 1.     
        @450 reg24 1.     
        @451 reg25 1.     
        @452 reg26 1.     
        @453 reg27 1.     
        @454 reg28 1.     
        @455 reg29 1.     
        @456 reg30 1.     
        @457 reg31 1.     
        @458 reg32 1.     
        @459 reg33 1.     
        @460 reg34 1.     
        @461 reg35 1.     
        @462 reg36 1.     
        @463 reg37 1.     
        @464 reg38 1.     
        @465 reg39 1.     
        @466 reg40 1.     
        @467 reg41 1.     
        @468 reg42 1.     
        @469 reg43 1.     
        @470 reg44 1.     
        @471 reg45 1.;
  end;
  else if rectype='E' then do;
    input   @1 rectype $1.
          @2 office $4.
          @6 serialno $4.
         @10 alp 1.
         @11 laborid $11.
         @22 regdate yymmdd6.
         @28 regdate1 yymmdd6.
         @34 educ 1.
         @35 educqual 5.
         @40 earlyemp 1.
         @41 avgearn 6.
         @47 special 1.
         @48 empcat1 1.
         @49 occlast 4.
         @53 empcat2 1.
         @54 occwant 4.
         @58 reg0320 1.
         @59 passive 1.
         @60 months 2.
         @62 breaks 2.
         @64 daysuc 4.
         @68 strtlast yymmdd6.
         @74 referral 2.
         @76 lmp 1.
         @77 looked 1.
         @78 search $5.
         @83 service $5.
         @88 startjob 1.
         @89 startdte 4.
         @93 owner 1.
         @94 jobfind 1.
         @95 occ $4.
         @99 earn1 6.
        @105 state $25.
        @130 ui $25.
        @155 earn2 6.
        @161 whynot 1.
        @162 hh 2.
        @164 spouse1 1.
        @165 spouse2 1.
        @166 hhother 1.
        @167 pension 1.
        @168 kids06 1.
        @169 kids6 1.
        @170 hhearn 6.
        @176 intdate yymmdd6.
        @182 inter 2.
        @184 employ1 1.
        @185 employs1 1.
        @186 employ2 1.
        @187 employs2 1.
        @188 earn1 6.
        @194 earn2 6.
        @200 emmonths 2.
        @202 emsmonth 2.
        @204 unmonths 2.
        @206 ucmonths 2.
        @208 ucpay1 6.
        @214 ucpay2 6.
        @220 durreg 2.
        @222 duralp 2.
        @224 startalp yymmdd6.
        @230 startreg yymmdd6.
        @236 jobstart yymmdd6.
        @242 es 1.
        @243 servaft1 1.
        @244 servaft2 1.
        @245 servaft3 1.
        @246 servaft4 1.
        @247 servaft5 1.
        @248 servaft6 1.
        @249 servaft7 1.
        @250 servaft8 1.
        @251 age 2.
        @253 agelt30 1.
        @254 age3044 1.
        @255 agege45 1.
        @256 male 1.
        @257 female 1.
        @258 educ1 1.
        @259 educ2 1.
        @260 educ3 1.
        @261 educ4 1.
        @262 early1 1.
        @263 early2 1.
        @264 early3 1.
        @265 early4 1.
        @266 blcoll1 1.
        @267 whcoll1 1.
        @268 blcoll2 1.
        @269 whcoll2 1.
        @270 legis1 1.
        @271 prof1 1.
        @272 tech1 1.
        @273 clerk1 1.
        @274 serv1 1.
        @275 skillag1 1.
        @276 craft1 1.
        @277 mach1 1.
        @278 elem1 1.
        @279 armed1 1.
        @280 legis2 1.
        @281 prof2 1.
        @282 tech2 1.
        @283 clerk2 1.
        @284 serv2 1.
        @285 skillag2 1.
        @286 craft2 1.
        @287 mach2 1.
        @288 elem2 1.
        @289 armed2 1.
        @290 spouse1b 1.
        @291 spouse2b 1.
        @292 county1 1.
        @293 county2 1.
        @294 county4 1.
        @295 county5 1.
        @296 county6 1.
        @297 county7 1.
        @298 county9 1.
        @299 county13 1.
        @300 county15 1.
        @301 county18 1.
        @302 ltu 1.
        @303 nonltu 1.
        @304 urater96 4.1
        @308 urater97 4.1
        @312 urlow 1.
        @313 urmedium 1.
        @314 urhigh 1.
        @315 alplngth 2.
        @317 train1 1.
        @318 train2 1.
        @319 train3 1.
        @320 train4 1.
        @321 train5 1.
        @322 train6 1.
        @323 durtrn1 1.
        @324 durtrn2 1.
        @325 durtrn3 1.
        @326 durtrn4 1.
        @327 durtrn5 1.
        @328 organ1 1.
        @329 organ2 1.
        @330 organ3 1.
        @331 organ4 1.
        @332 contrib1 1.
        @333 contrib2 1.
        @334 uc9601 5.
        @339 uc9602 5.
        @344 uc9603 5.
        @349 uc9604 5.
        @354 uc9605 5.
        @359 uc9606 5.
        @364 uc9607 5.
        @369 uc9608 5.
        @374 uc9609 5.
        @379 uc9610 5.
        @384 uc9611 5.
        @389 uc9612 5.
        @394 uc9701 5.
        @399 uc9702 5.
        @404 uc9703 5.
        @409 uc9704 5.
        @414 grdben95 6.2
        @420 grdben96 6.2
        @426 grdben97 6.2
        @432 ntdben95 6.2
        @438 ntdben96 6.2
        @444 ntdben97 6.2
        @450 reg1 1.     
        @451 reg2 1.     
        @452 reg3 1.     
        @453 reg4 1.     
        @454 reg5 1.     
        @455 reg6 1.     
        @456 reg7 1.     
        @457 reg8 1.     
        @458 reg9 1.     
        @459 reg10 1.     
        @460 reg11 1.     
        @461 reg12 1.     
        @462 reg13 1.     
        @463 reg14 1.     
        @464 reg15 1.     
        @465 reg16 1.     
        @466 reg17 1.     
        @467 reg18 1.     
        @468 reg19 1.     
        @469 reg20 1.     
        @470 reg21 1.     
        @471 reg22 1.     
        @472 reg23 1.     
        @473 reg24 1.     
        @474 reg25 1.     
        @475 reg26 1.     
        @476 reg27 1.     
        @477 reg28 1.     
        @478 reg29 1.     
        @479 reg30 1.     
        @480 reg31 1.     
        @481 reg32 1.     
        @482 reg33 1.     
        @483 reg34 1.     
        @484 reg35 1.     
        @485 reg36 1.     
        @486 reg37 1.     
        @487 reg38 1.     
        @488 reg39 1.     
        @489 reg40 1.     
        @490 reg41 1.     
        @491 reg42 1.     
        @492 reg43 1.     
        @493 reg44 1.     
        @494 reg45 1.;
  end;

proc freq data=public;
  title1 "Register Data";
  tables office alp educ educqual earlyemp special empcat1 occlast empcat2
         reg0320 passive breaks referral;

proc means data=public;
  title1 "Register Data";
  var avgearn months breaks daysuc referral;

proc print data=public (obs=50);
  title1 "Register Variables: First 50 Observations";
  var serialno laborid occwant regdate regdate1 strtlast;





proc freq data=public;
  title1 "Retraining Survey Data (A)";
  where rectype='A';
  tables traintyp duration organ contrib locallo trainbeg trainend service1
         service2 looked search startjob startdte owner jobfind value
         whynot hh spouse1 spouse2 hhother pension kids06 kids6 intdate inter;

proc means data=public;
  title1 "Retraining Survey Data (A)";
  where rectype='A';
  var earn1 earn2 hh hhother pension kids06 kids6 hhearn;

data temp;
  set public (where=(rectype='A'));

proc print data=temp (obs=50);
  title1 "Retraining Survey Data (A): Selected Variables First 50 Observations";
  var office serialno lmstate uibene;

proc means data=public;
  title1 "Retraining Outcome Variables";
  where rectype='A';
  var employ1 employs1 employ2 employs2 earn1 earn2 emmonths emsmonth unmonths
      ucmonths ucpay1 ucpay2 durreg duralp;

proc means data=public;
  title1 "Retraining Derived Concepts";
  where rectype='A';
  var es trainind traingrp servaft1 servaft2 servaft3 servaft4 servaft5
      servaft6 servaft7 servaft8 age agelt30 age3044 agege45 male female 
      educ1 educ2 educ3 educ4 early1 early2 early3 early4 blcoll1 whcoll1 
      blcoll2 whcoll2 legis1 prof1 tech1 clerk1 serv1 skillag1 craft1 
      mach1 elem1 armed1 legis2 prof2 tech2 clerk2 serv2 skillag2 craft2 
      mach2 elem2 armed2 spouse1b spouse2b county1 county2 county4 county5 
      county6 county7 county9 county13 county15 county18 ltu nonltu urater96
      urater97 urlow urmedium urhigh alplngth duration train1 train2 train3 
      train4 train5 train6 durtrn1 durtrn2 durtrn3 durtrn4 durtrn5 organ1 
      organ2 organ3 organ4 contrib1 contrib2;

proc means data=public;
  title1 "Retraining (A): UI Variables";
  where rectype='A';
  var uc9601-uc9612 uc9701-uc9704 grdben95-grdben97 ntdben95-ntdben97
      reg1-reg45;





proc freq data=public;
  title1 "Public Works (B)";
  where rectype='B';
  tables skill industry start1 end1 start2 end2 service1 service2 looked
         jobfind1 psehelp startjob startdte owner jobfind2 whynot hh spouse1
         spouse2 hhother pension kids06 kids6 intdate inter;

proc means data=public;
  title1 "Public Works (B)";
  where rectype='B';
  var earn1 earn2 hh hhother pension kids06 kids6 hhearn;


data temp;
  set public (where=(rectype='B'));
  proc print data=temp (obs=50);
    title1 "Public Works (B): First 50 Obs for Selected Variables";
    var office serialno occ lmstate uibene;

proc means data=public;
  title1 "Public Works Outcome Variables";
  where rectype='B';
  var employ1 employs1 employ2 employs2 earn1 earn2 emmonths emsmonth unmonths
      ucmonths ucpay1 ucpay2 durreg duralp;

proc means data=public;
  title1 "Public Works Derived Concepts";
  where rectype='B';
  var es servaft1 servaft2 servaft3 servaft4 servaft5
      servaft6 servaft7 servaft8 age agelt30 age3044 agege45 male female 
      educ1 educ2 educ3 educ4 early1 early2 early3 early4 blcoll1 whcoll1 
      blcoll2 whcoll2 legis1 prof1 tech1 clerk1 serv1 skillag1 craft1 
      mach1 elem1 armed1 legis2 prof2 tech2 clerk2 serv2 skillag2 craft2 
      mach2 elem2 armed2 spouse1b spouse2b county1 county2 county4 county5 
      county6 county7 county9 county13 county15 county18 ltu nonltu urater96
      urater97 urlow urmedium urhigh alplngth agfish mining manu power const
      services nonman unskill semi skilled;

proc means data=public;
  title1 "Public Works (B): UI Variables";
  where rectype='B';
  var uc9601-uc9612 uc9701-uc9704 grdben95-grdben97 ntdben95-ntdben97
      reg1-reg45;





proc freq data=public;
  title1 "Wage Subsidy (C)";
  where rectype='C';
  tables skill industry empstart empend service1 service2 perm sameemp looked
         jobfind1 startjob startdte owner jobfind2 whynot hh spouse1 spouse2
         hhother pension kids06 kids6 intdate inter;

proc means data=public;
  title1 "Wage Subsidy (C)";
  where rectype='C';
  var earn1 earn2 hh hhother pension kids06 kids6 hhearn;

data temp;
  set public (where=(rectype='C'));
  proc print data=temp (obs=50);
    title1 "Wage Subsidy (C): First 50 Obs for Selected Variables";
    var office serialno occ lmstate uibene;

proc means data=public;
  title1 "Wage Subsidy Outcome Variables";
  where rectype='C';
  var employ1 employs1 employ2 employs2 earn1 earn2 emmonths emsmonth unmonths
      ucmonths ucpay1 ucpay2 durreg duralp;

proc means data=public;
  title1 "Wage Subsidy Derived Concepts";
  where rectype='C';
  var es servaft1 servaft2 servaft3 servaft4 servaft5
      servaft6 servaft7 servaft8 age agelt30 age3044 agege45 male female 
      educ1 educ2 educ3 educ4 early1 early2 early3 early4 blcoll1 whcoll1 
      blcoll2 whcoll2 legis1 prof1 tech1 clerk1 serv1 skillag1 craft1 
      mach1 elem1 armed1 legis2 prof2 tech2 clerk2 serv2 skillag2 craft2 
      mach2 elem2 armed2 spouse1b spouse2b county1 county2 county4 county5 
      county6 county7 county9 county13 county15 county18 ltu nonltu urater96
      urater97 urlow urmedium urhigh alplngth agfish mining manu power const
      services nonman unskill semi skilled;

proc means data=public;
  title1 "Wage Subsidy (C): UI Variables";
  where rectype='C';
  var uc9601-uc9612 uc9701-uc9704 grdben95-grdben97 ntdben95-ntdben97
      reg1-reg45;






proc freq data=public;
  title1 "Startup Subsidy (D)";
  where rectype='D';
  tables enttype industry startsub endsub continue selfemp emp unempemp 
         prospect lack looked jobfind1 service startjob startdte owner
         jobfind2 whynot hh spouse1 spouse2 hhother pension kids06 kids6
         intdate inter;

proc means data=public;
  title1 "Startup Subsidy (D)";
  where rectype='D';
  var emp unempemp earn1 earn2 hh hhother pension kids06 kids6 hhearn;

data temp;
  set public (where=(rectype='D'));
  proc print data=temp (obs=50);
    title1 "Startup Subsidy (D): First 50 Obs for Selected Variables";
    var office serialno occ lmstate uibene;

proc means data=public;
  title1 "Startup Subsidy Outcome Variables";
  where rectype='D';
  var employ1 employs1 employ2 employs2 earn1 earn2 emmonths emsmonth unmonths
      ucmonths ucpay1 ucpay2;

proc means data=public;
  title1 "Startup Subsidy Derived Concepts";
  where rectype='D';
  var dur1-dur4 es servaft1 servaft2 servaft3 servaft4 servaft5
      servaft6 servaft7 servaft8 age agelt30 age3044 agege45 male female 
      educ1 educ2 educ3 educ4 early1 early2 early3 early4 blcoll1 whcoll1 
      blcoll2 whcoll2 legis1 prof1 tech1 clerk1 serv1 skillag1 craft1 
      mach1 elem1 armed1 legis2 prof2 tech2 clerk2 serv2 skillag2 craft2 
      mach2 elem2 armed2 spouse1b spouse2b county1 county2 county4 county5 
      county6 county7 county9 county13 county15 county18 ltu nonltu urater96
      urater97 urlow urmedium urhigh alplngth agfish mining manu power const
      services individ othent;

proc means data=public;
  title1 "Startup Subsidy (D): UI Variables";
  where rectype='D';
  var uc9601-uc9612 uc9701-uc9704 grdben95-grdben97 ntdben95-ntdben97
      reg1-reg45;





proc freq data=public;
  title1 "Comparison Group (E)";
  where rectype='E';
  tables lmp looked search service startjob startdte owner jobfind
         whynot hh spouse1 spouse2 hhother pension kids06 kids6 intdate inter;

proc means data=public;
  title1 "Comparison Group (E)";
  where rectype='E';
  var earn1 earn2 hh hhother pension kids06 kids6 hhearn;

data temp;
  set public (where=(rectype='E'));
  proc print data=temp (obs=50);
    title1 "Comparison Group (E): First 50 Obs for Selected Variables";
    var office serialno occ state ui;

proc means data=public;
  title1 "Comparison Group Outcome Variables";
  where rectype='E';
  var employ1 employs1 employ2 employs2 earn1 earn2 emmonths emsmonth unmonths
      ucmonths ucpay1 ucpay2 durreg duralp;

proc means data=public;
  title1 "Comparison Group Derived Concepts";
  where rectype='E';
  var es servaft1 servaft2 servaft3 servaft4 servaft5
      servaft6 servaft7 servaft8 age agelt30 age3044 agege45 male female 
      educ1 educ2 educ3 educ4 early1 early2 early3 early4 blcoll1 whcoll1 
      blcoll2 whcoll2 legis1 prof1 tech1 clerk1 serv1 skillag1 craft1 
      mach1 elem1 armed1 legis2 prof2 tech2 clerk2 serv2 skillag2 craft2 
      mach2 elem2 armed2 spouse1b spouse2b county1 county2 county4 county5 
      county6 county7 county9 county13 county15 county18 ltu nonltu urater96
      urater97 urlow urmedium urhigh alplngth train1 train2 train3 
      train4 train5 train6 durtrn1 durtrn2 durtrn3 durtrn4 durtrn5 organ1 
      organ2 organ3 organ4 contrib1 contrib2;

proc means data=public;
  title1 "Comparison Group (E): UI Variables";
  where rectype='E';
  var uc9601-uc9612 uc9701-uc9704 grdben95-grdben97 ntdben95-ntdben97
      reg1-reg45;

